Subject: [quicwg/base-drafts] b4bb87: Require that QPACK preserves header field order. (...

From: Bence Béky <[email-masked]>
Date: Mon, 10 Sep 2018 12:44:48 -0700

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: b4bb87a8909710bfd75ccd041d42fb7b9ae0b04f
      https://github.com/quicwg/base-drafts/commit/b4bb87a8909710bfd75ccd041d42fb7b9ae0b04f
  Author: Bence Béky <[email-masked]>
  Date:   2018-09-10 (Mon, 10 Sep 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Require that QPACK preserves header field order. (#1725)

* Require that QPACK preserves header field order.

1. Rename "header" to "header field" in the definition section, just
like in HPACK, RFC7541 Section 1.3.  Note that already before this
change the term "header field" appears 44 times in the text.

2. Rename "header set" to "header list" and define it to be ordered and
explicitly allow duplicate header fields, not unlike in HPACK, RFC7541
Section 1.3.  Also explicitly allow header fields with identical name.

3. Add a paragraph to require that ordering is preserved, much like
HPACK, RFC7541 Section 2.1.

* same name

      **NOTE:** This service has been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.